/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-ID has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package test.at.gv.egovernment.moa.util;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;

import at.gv.egovernment.moaspss.util.XPathUtils;
import test.at.gv.egovernment.moa.MOATestCase;


/**
 * @author Patrick Peck
 * @version $Id$
 */
public class XPathUtilsTest extends MOATestCase {

  private Document doc1;

  /**
   * Constructor for XPathUtilsTest.
   * @param name
   */
  public XPathUtilsTest(String name) {
    super(name);
  }

  /**
   * @see TestCase#setUp()
   */
  protected void setUp() throws Exception {
    super.setUp();
    doc1 =
      parseXml(TESTDATA_ROOT + "xml/VerifyXMLSignature/Req000.xml");
  }

  public void testSelectNodeList() throws Exception {
    NodeList nodes;

    nodes =
      XPathUtils.selectNodeList(
        doc1.getDocumentElement(),
        doc1.getDocumentElement(),
        "/VerifyXMLSignatureRequest");
    assertEquals(1, nodes.getLength());
    nodes =
      XPathUtils.selectNodeList(
        doc1.getDocumentElement(),
        "//dsig:Signature");
    assertEquals(1, nodes.getLength());
  }

}
