/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import org.w3c.dom.NodeList;

import at.gv.egovernment.moa.spss.api.common.ContentXML;

/**
 * Default implementation of <code>ContentXML</code>.
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class ContentXMLImpl extends ContentImpl implements ContentXML {

  /** The nodes making up the XML content. */
  private NodeList xmlContent;
  
  /**
   * Sets the nodes making up the XML content.
   * 
   * @param xmlContent The XML content.
   */
  public void setXMLContent(NodeList xmlContent) {
    this.xmlContent = xmlContent;
  }

  public NodeList getXMLContent() {
    return xmlContent;
  }

  /**
   * Gets the type of content.
   * 
   * @return XML_CONTENT
   */
  public int getContentType() {
    return XML_CONTENT;
  }

}
