/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import at.gv.egovernment.moa.spss.api.common.Content;
import at.gv.egovernment.moa.spss.api.xmlsign.CreateSignatureEnvironmentProfile;
import at.gv.egovernment.moa.spss.api.xmlsign.CreateSignatureInfo;

/**
 * Default implementation of <code>CreateSignatureInfo</code>.
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class CreateSignatureInfoImpl implements CreateSignatureInfo {
  
  /** The signature environment that will contain the newly created 
   * signature. */
  private Content createSignatureEnvironment;

  /** Additional information about the signature environment. */
  private CreateSignatureEnvironmentProfile createSignatureEnvironmentProfile;

  /**
   * Sets the signature environment that will contain the newly created 
   * signature.
   * 
   * @param createSignatureEnvironment The signature environment.
   */
  public void setCreateSignatureEnvironment(Content createSignatureEnvironment) {
    this.createSignatureEnvironment = createSignatureEnvironment;
  }

  public Content getCreateSignatureEnvironment() {
    return createSignatureEnvironment;
  }

  /**
   * Sets the signature environment profile containing additional information
   * about the signature environment.
   * 
   * @param profile The signature environment profile.
   */
  public void setCreateSignatureEnvironmentProfile(CreateSignatureEnvironmentProfile profile) {
    this.createSignatureEnvironmentProfile = profile;
  }

  public CreateSignatureEnvironmentProfile getCreateSignatureEnvironmentProfile() {
    return createSignatureEnvironmentProfile;
  }

}
