/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import at.gv.egovernment.moa.spss.api.xmlverify.ManifestRefsCheckResult;
import at.gv.egovernment.moa.spss.api.xmlverify.ManifestRefsCheckResultInfo;

/**
 * Default implementation of <code>ManifestRefsCheckResult</code>.
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class ManifestRefsCheckResultImpl implements ManifestRefsCheckResult {
  /** The numerical check code. */
  private int code;
  /** Additional information about the check. */
  private ManifestRefsCheckResultInfo info;

  /**
   * Sets the check code.
   * 
   * @param code A numerical representation of the result of the manifest check.
   */
  public void setCode(int code) {
    this.code = code;
  }

  public int getCode() {
    return code;
  }

  /**
   * Sets a reference to the manifest.
   * 
   * @param info The reference to the manifest.
   */
  public void setInfo(ManifestRefsCheckResultInfo info) {
    this.info = info;
  }

  public ManifestRefsCheckResultInfo getInfo() {
    return info;
  }

}
