/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import org.w3c.dom.NodeList;

import at.gv.egovernment.moa.spss.api.xmlverify.ReferencesCheckResultInfo;

/**
 * Default implementation of <code>ReferencesCheckResultInfo</code>.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public class ReferencesCheckResultInfoImpl
  implements ReferencesCheckResultInfo {

  /** Additional information about the references check. */
  private NodeList anyOtherInfo;
  /** The indexes of the failed references. */
  private int[] failedReferences = new int[0];
  
  /**
   * Sets additional information about the references check.
   * @param anyOtherInfo Additional information about the references check.
   */
  public void setAnyOtherInfo(NodeList anyOtherInfo) {
    this.anyOtherInfo = anyOtherInfo;
  }
  
  public NodeList getAnyOtherInfo() {
    return anyOtherInfo;
  }

  /**
   * Sets the indexes of the failed references.
   * 
   * @param failedReferences The indexes of the failed references.
   */
  public void setFailedReferences(int[] failedReferences) {
    this.failedReferences = failedReferences;
  }

  public int[] getFailedReferences() {
    return failedReferences;
  }

}
