/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import iaik.xml.crypto.utils.URI;

import java.util.Date;

import at.gv.egovernment.moa.spss.api.common.TSLConfiguration;

/**
 * Default implementation of <code>TSLConfiguration</code>.
 * 
 * @author kstranacher
 */
public class TSLConfigurationImpl implements TSLConfiguration {

	
	
	/** The EU TSL URL. */
	private String euTSLUrl;

	/** update period in milliseconds */
	private long updateSchedulePeriod;
  
	/** Time of the first update */
	private Date updateScheduleStartTime;
  
	/** Working directory */
	private String workingDirectory;
	
	/** Working directory */
	private URI workingDirectoryAsURI;
  
  public String getEuTSLUrl() {
	  return this.euTSLUrl;
  }

  public long getUpdateSchedulePeriod() {
	  return this.updateSchedulePeriod;
  }

  public Date getUpdateScheduleStartTime() {
	  return this.updateScheduleStartTime;
  }

  public String getWorkingDirectory() {
	  return this.workingDirectory;
  }
  
  public URI getWorkingDirectoryAsURI() {
	  return this.workingDirectoryAsURI;
  }

	public void setEuTSLUrl(String euTSLUrl) {
		this.euTSLUrl = euTSLUrl;
	}
	
	public void setUpdateSchedulePeriod(long updateSchedulePeriod) {
		this.updateSchedulePeriod = updateSchedulePeriod;
	}
	
	public void setUpdateScheduleStartTime(Date updateScheduleStartTime) {
		this.updateScheduleStartTime = updateScheduleStartTime;
	}
	
	public void setWorkingDirectory(String workingDirectory) {
		this.workingDirectory = workingDirectory;
	}
	
	public void setWorkingDirectoryURI(URI workingDirectoryAsURI) {
		this.workingDirectoryAsURI = workingDirectoryAsURI;
	}

  
 

}
