/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import at.gv.egovernment.moa.spss.api.xmlverify.TransformParameterHash;

/**
 * Default implementation of <code>TransformParameterHash</code>
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class TransformPatameterHashImpl
  extends TransformParameterImpl
  implements TransformParameterHash {

  /** The method used to calculate the digest value. */
  private String digestMethod;
  /** The digest value. */
  private byte[] digestValue;

  /**
   * Sets method used to calculate the digest value.
   * @param digestMethod The method used to calculate the digest value.
   */
  public void setDigestMethod(String digestMethod) {
    this.digestMethod = digestMethod;
  }

  public String getDigestMethod() {
    return digestMethod;
  }

  /**
   * Sets the digest value.
   * 
   * @param digestValue The digest value.
   */
  public void setDigestValue(byte[] digestValue) {
    this.digestValue = digestValue;
  }
  
  public byte[] getDigestValue() {
    return digestValue;
  }

  /**
   * Gets the type of <code>TransformParameter</code>.
   * 
   * @return HASH_TRANSFORMPARAMETER
   */
  public int getTransformParameterType() {
    return HASH_TRANSFORMPARAMETER;
  }

}
