/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import java.math.BigInteger;

import at.gv.egovernment.moa.spss.api.common.X509IssuerSerial;

/**
 * Default implementation of <code>X509IssuerSerial</code>.
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class X509IssuerSerialImpl implements X509IssuerSerial {
  /** The certificate serial number. */
  private BigInteger x509SerialNumber;
  /** The certificate issuer DN. */
  private String x509IssuerName;

  /**
   * Sets the issuer distinguished name.
   * 
   * @param x509IssuerName The issuer distinguished name.
   */
  public void setX509IssuerName(String x509IssuerName) {
    this.x509IssuerName = x509IssuerName;
  }

  public String getX509IssuerName() {
    return x509IssuerName;
  }

  /**
   * Sets the certificate serial number.
   * 
   * @param x509SerialNumber The issuer serial number.
   */
  public void setX509SerialNumber(BigInteger x509SerialNumber) {
    this.x509SerialNumber = x509SerialNumber;
  }

  public BigInteger getX509SerialNumber() {
    return x509SerialNumber;
  }

}
