/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.impl;

import java.util.ArrayList;
import java.util.List;

import at.gv.egovernment.moa.spss.api.common.XPathFilter2Transform;

/**
 * Default implementation of <code>XPathFilter2Transform</code>.
 * 
 * @author Fatemeh Philippi
 * @version $Id$
 */
public class XPathFilter2TransformImpl
  extends TransformImpl
  implements XPathFilter2Transform {
    
  /** The XPath filters. */
  private List filters;
  
  /**
   * Create a new <code>XPathFilter2TransformImpl</code> object.
   */
  public XPathFilter2TransformImpl() {
    setAlgorithmURI(XPATH_FILTER2);
  }

  /**
   * Sets the XPath filters contained in this  
   * <code>XPathFilter2Transform</code>.
   * 
   * @param filters The XPath filters contained in this 
   * <code>XPathFilter2Transform</code>.
   */  
  public void setFilters(List filters) {
    this.filters = new ArrayList(filters);
  }

  public List getFilters() {
    return filters;
  }

}
