/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.xmlsign;

/**
 * Base class for signature environment profile data used in XML signature 
 * creation.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public interface CreateSignatureEnvironmentProfile {
  /**
   * Indicates that the profile data is given explicitly.
   */
  public static int EXPLICIT_CREATESIGNATUREENVIRONMENTPROFILE = 0;
  /**
   * Indicates that the profile data is stored in the configuration and resolved 
   * using an ID.
   */
  public static int ID_CREATESIGNATUREENVIRONMENTPROFILE = 1;
  
  /**
   * Gets the type of this object.
   * 
   * @return The type of <code>CreateSignatureEnvironmentProfile</code> denoted
   * by this object. Either 
   * <code>EXPLICIT_CREATESIGNATUREENVIRONMENTPROFILE</code> or
   * <code>ID_CREATESIGNATUREENVIRONMENTPROFILE</code>.
   */
  public int getCreateSignatureEnvironmentProfileType();
}
