/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.xmlsign;

/**
 * Base class for transformation informations used in signature creation.
 * 
 * @author Patrick Peck
 * @author Stephan Grill
 * @version $Id$
 */
public interface CreateTransformsInfoProfile {
  /**
   * Indicates transformation information given explicitly.
   */
  public static final int EXPLICIT_CREATETRANSFORMSINFOPROFILE = 0;
  /**
   * Indicates transformation information given as an ID.
   */
  public static final int ID_CREATETRANSFORMSINFOPROFILE = 1;
  
  /**
   * Gets the type of profile information this object contains.
   * 
   * @return The type of transformation information, either
   * <code>EXPLICIT_CREATETRANSFORMSINFOPROFILE</code> or 
   * <code>ID_CREATETRANSFORMSINFOPROFILE</code>.
   */
  public int getCreateTransformsInfoProfileType();
}
