/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.api.xmlsign;

/**
 * Base class for <code>SignatureEnvironmentResponse</code> and 
 * <code>ErrorResponse</code> elements in a 
 * <code>CreateXMLSignatureResponse</code>.
 * 
 * @author Patrick Peck
 * @author Stephan Grill
 * @version $Id$
 */
public interface CreateXMLSignatureResponseElement {
  /**
   * Indicates that this object contains a <code>SignatureEnvironment</code>.
   */
  public static final int SIGNATURE_ENVIRONMENT_RESPONSE = 0;
  /**
   * Indicates that this objet contains an <code>ErrorResponse</code>.
   */
  public static final int ERROR_RESPONSE = 1;
  
  /**
   * Gets the type of response object.
   * 
   * @return The type of response object, either 
   * <code>SIGNATURE_ENVIRONMENT_RESPONSE</code> or <code>ERROR_RESPONSE</code>.
   */
  public int getResponseType();
}
