/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */

package at.gv.egovernment.moa.spss.server.iaik.cmsverify;

import iaik.pki.PKIProfile;
import iaik.server.modules.cmsverify.CMSSignatureVerificationProfile;

/**
 * An implementation of the <code>CMSSignatureVerificationProfile</code>
 * interface.
 * 
 * @see iaik.server.modules.cmsverify.CMSSignatureVerificationProfile
 * @author Patrick Peck
 * @version $Id$
 */
public class CMSSignatureVerificationProfileImpl implements CMSSignatureVerificationProfile {
	/** The profile for validating the certificate. */
	private PKIProfile certificateValidationProfile;

	/**
	 * @see iaik.server.modules.cmsverify.CMSSignatureVerificationProfile#getCertificateValidationProfile()
	 */
	public PKIProfile getCertificateValidationProfile() {
		return certificateValidationProfile;
	}

	/**
	 * Sets the profile for validating the signer certificate.
	 * 
	 * @param certificateValidationProfile
	 *            The certificate validation profile to set.
	 */
	public void setCertificateValidationProfile(PKIProfile certificateValidationProfile) {
		this.certificateValidationProfile = certificateValidationProfile;
	}

	@Override
	public String getTargetLevel() {
		return CMSSignatureVerificationProfile.LEVEL_LTA;
	}

}
