/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.server.iaik.config;

import iaik.pki.store.revocation.archive.DataBaseArchiveParameters;

/**
 * An implementation of the <code>DataBaseArchiveParameter</code> interface.
 * 
 * @see iaik.pki.store.revocation.archive.db.DataBaseArchiveParameter
 * @author Patrick Peck
 * @version $Id$
 */
public class DataBaseArchiveParameterImpl implements DataBaseArchiveParameters {

  /** The JDBC URL for accessing the archive. */
  private String jDBCUrl;

  /**
   * Create a new <code>DataBaseArchiveParameterImpl</code>.
   * 
   * @param jDBCUrl The JDBC URL of the archive.
   */
  public DataBaseArchiveParameterImpl(String jDBCUrl) {
    this.jDBCUrl = jDBCUrl;
  }

  /**
   * @see iaik.pki.store.revocation.archive.db.DataBaseArchiveParameter#getJDBCUrl()
   */
  public String getJDBCUrl() {
    return jDBCUrl;
  }

}
