/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.server.iaik.xml;

import iaik.server.modules.xml.Canonicalization;

/**
 * An implementation of the <code>CanonicalizationTransform</code>
 * <code>Transformation</code> type.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public class CanonicalizationImpl
  extends TransformationImpl
  implements Canonicalization {
   
  /**
   * Create a new <code>CanonicalizationTransformImpl</code> object.
   * 
   * @param algorithmURI The canonicalization algorithm URI.
   */ 
  public CanonicalizationImpl(String algorithmURI) {
    setAlgorithmURI(algorithmURI);
  }
    
  /**
   * Compare this object to another <code>Canonicalization</code>.
   * 
   * @param other The object to compare this 
   * <code>Canonicalization</code> to.
   * @return <code>true</code>, if <code>other</code> is a
   * <code>Canonicalization</code> and the algorithm URIs match, otherwise
   * <code>false</code>.
   * @see java.lang.Object#equals(Object)
   */
  public boolean equals(Object other) {
    if (other instanceof Canonicalization) {
      Canonicalization c14n = (Canonicalization) other;
      return getAlgorithmURI().equals(c14n.getAlgorithmURI());
    }
    return false;
  }

}
