/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package at.gv.egovernment.moa.spss.server.iaik.xml;

import iaik.server.modules.xml.DataObject;

/**
 * Abstract base implementation for the classes derived from
 * <code>DataObject</code>.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public abstract class DataObjectImpl implements DataObject {
  
  /** The MIME type of the data object. */
  private String mimeType;
  /** The refernce ID. */
  private String referenceID;
  /** The URI of the type. */
  private String typeURI;
  /** The URI identifying the data. */
  private String URI;
  
  /**
   * @see iaik.server.modules.xml.DataObject#getMimeType()
   */
  public String getMimeType() {
    return mimeType;
  }

  /**
   * Set the mime type.
   * 
   * @param mimeType The mime type to set.
   */
  public void setMimeType(String mimeType) {
    this.mimeType = mimeType;
  }
  
  /**
   * @see iaik.server.modules.xml.DataObject#getReferenceID()
   */
  public String getReferenceID() {
    return referenceID;
  }
  
  /**
   * Set the reference ID.
   * 
   * @param referenceID The reference ID.
   */
  public void setReferenceID(String referenceID) {
    this.referenceID = referenceID;
  }

  /**
   * @see iaik.server.modules.xml.DataObject#getTypeURI()
   */
  public String getTypeURI() {
    return typeURI;
  }

  /**
   * Set the type URI.
   * 
   * @param typeURI The type URI.
   */
  public void setTypeURI(String typeURI) {
    this.typeURI = typeURI;
  }

  /**
   * @see iaik.server.modules.xml.DataObject#getURI()
   */
  public String getURI() {
    return URI;
  }
  
  /**
   * Set the URI.
   * 
   * @param URI The URI.
   */
  public void setURI(String URI) {
    this.URI = URI;
  }

}
