package at.gv.egovernment.moa.spss.util;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

public class ResetableInputStreamWrapper extends InputStream {

	private ByteArrayInputStream bais;
	
	public ResetableInputStreamWrapper(ByteArrayInputStream bais) {
		this.bais = bais;
	}
	
	@Override
	public int read() throws IOException {
		return this.bais.read();
	}

	@Override
	public int read(byte[] b) throws IOException {
		return this.bais.read(b);
	}

	@Override
	public int read(byte[] b, int off, int len) throws IOException {
		return this.bais.read(b, off, len);
	}

	@Override
	public long skip(long n) throws IOException {
		return this.bais.skip(n);
	}

	@Override
	public int available() throws IOException {
		return this.bais.available();
	}

	@Override
	public void close() throws IOException {
		this.bais.close();
	}

	@Override
	public synchronized void mark(int readlimit) {
		this.bais.mark(readlimit);
	}

	@Override
	public synchronized void reset() throws IOException {
		this.bais.reset();
	}

	@Override
	public boolean markSupported() {
		return this.bais.markSupported();
	}
}
