/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package test.at.gv.egovernment.moa.spss.server.invoke;

import org.w3c.dom.Document;

import test.at.gv.egovernment.moa.spss.SPSSTestCase;
import at.gv.egovernment.moa.spss.api.xmlbind.VerifyXMLSignatureRequestParser;
import at.gv.egovernment.moa.spss.api.xmlbind.VerifyXMLSignatureResponseBuilder;
import at.gv.egovernment.moa.spss.api.xmlverify.VerifyXMLSignatureRequest;
import at.gv.egovernment.moa.spss.api.xmlverify.VerifyXMLSignatureResponse;
import at.gv.egovernment.moa.spss.server.invoke.XMLSignatureVerificationInvoker;
import at.gv.egovernment.moaspss.util.DOMUtils;

/**
 * Mainly a smoke test for debugging the XMLSignatureVerificationInvoker.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public class XMLSignatureVerificationInvokerTest extends SPSSTestCase {
  private static final String TESTDATA_BASE =
    TESTDATA_ROOT + "xml/VerifyXMLSignature/";

  public XMLSignatureVerificationInvokerTest(String name) {
    super(name);
  }

  protected void setUp() throws Exception {
    setUpTransactionContext();
    setUpLoggingContext();
    setUpIaikConfiguration();
  }

  public void testVerifyXMLSignature() throws Exception {
    try {
      XMLSignatureVerificationInvoker invoker =
        XMLSignatureVerificationInvoker.getInstance();
      VerifyXMLSignatureRequestParser requestParser =
        new VerifyXMLSignatureRequestParser();
      VerifyXMLSignatureResponseBuilder responseBuilder =
        new VerifyXMLSignatureResponseBuilder();
      Document doc =
        SPSSTestCase.parseXmlValidating(
          TESTDATA_BASE + "TestGeneratorVX.201.Req.xml");

      VerifyXMLSignatureRequest request =
        requestParser.parse(doc.getDocumentElement());
      VerifyXMLSignatureResponse response;

      response = invoker.verifyXMLSignature(request);
      System.out.println(
        DOMUtils.serializeNode(responseBuilder.build(response)));
    } catch (Exception e) {
      e.printStackTrace();
      fail();
    }
  }
 

}
