/*
 * Copyright 2003 Federal Chancellery Austria
 * MOA-SPSS has been developed in a cooperation between BRZ, the Federal
 * Chancellery Austria - ICT staff unit, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */


package test.at.gv.egovernment.moa.spss.server.tools;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

//import at.gv.egovernment.moa.spss.server.tools.CertTool;
import test.at.gv.egovernment.moa.MOATestCase;

/**
 * Tests for the <code>CertTool</code>.
 * 
 * @author Patrick Peck
 * @version $Id$
 */
public class CertToolTest extends MOATestCase {

  private static final String EXPECTED_RESULT =
    "SubjectDN (RFC2253):"
      + " CN=Patrick Peck,OU=MOA Team,O=BRZ,L=Vienna,ST=Vienna,C=AT\r\n"
      + "IssuerDN (RFC2253) :"
      + " CN=Patrick Peck,OU=MOA Team,O=BRZ,L=Vienna,ST=Vienna,C=AT\r\n"
      + "Serial Number      :"
      + " 1047548672\r\n";
  //private CertTool certTool;

  /**
   * Constructor for CertToolTest.
   * @param name
   */
  public CertToolTest(String name) {
    super(name);
  }

  protected void setUp() {
    //certTool = new CertTool();
  }

  public void testPrintCertInfo() {
    ByteArrayOutputStream bos = new ByteArrayOutputStream();
    PrintStream ps = new PrintStream(bos);
    String result;

    //certTool.printCertInfo(TESTDATA_ROOT + "security/server.cer", ps);
    result = new String(bos.toByteArray());
    System.out.println(result);
    assertEquals(EXPECTED_RESULT, result);
  }

}
